﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Application.BaseDto
{

    public class ResultEntity
    {

        public bool IsSuccess { get; set; }

        public string Msg { get; set; }
        public Object Data { get; set; }
    }

    public class ResultEntity<T>
    {

        public bool IsSuccess { get; set; }

        public string Msg { get; set; }

        public T Data { get; set; }
    }


    public class Result<T> 
    {
        public int StatusCode { get; set; }

        public ResultEntity<T> Data { get; set; }

        public string Succeeded { get; set; }

        public object Errors { get; set; }

        public object Extras { get; set; }

        public string Timestamp { get; set; }

    }

}
