﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.Service.CheckService.Services;
using Furion.DynamicApiController;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Components.Forms;
using Microsoft.AspNetCore.Mvc;

namespace BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.Service.CheckService
{
   
    [ApiDescriptionSettings("开放平台", Tag = "检查"), AllowAnonymous]
    public class CheckServices : IDynamicApiController
    {
        private readonly ICheckServices _checkServices;
        public CheckServices(ICheckServices checkServices)
        {
            _checkServices = checkServices;
        }

        /// <summary>
        ///检查Sign
        /// </summary>
        public async Task CheckSign(string key, string signStr, string signMd5)
        {
           await _checkServices.CheckSign( key,  signStr,  signMd5);
        }


    }
}
