﻿using BPA.KitChen.GroupMealOrder.Application.BaseDto;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace BPA.KitChen.StoreManagement.Application.Service.OrderManage.Dtos
{ 
    public class OrderQueryInputDto : PageInputBase
    {
        /// <summary>
        /// 订单Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 加盟商编号
        /// </summary>
        public string FranchiseeId { get; set; }
        /// <summary>
        /// 订单号
        /// </summary>
        public string order_Number { get; set; }

        public string Customer_Tel { get; set; }
        /// <summary>
        /// 店铺名称编号（设备名称编号）
        /// </summary>
        public string[] StoreId { get; set; }
        /// <summary>
        /// <summary>
        /// 商品key
        /// </summary>
        public string[] GoodsId { get; set; }
      
        /// <summary>
        /// 商品类型编号
        /// </summary>
        public string[] GoodsTypeId { get; set; }
        /// <summary>
        /// 店铺分类编号（设备类型关联值）
        /// </summary>
        public string StoreTypeId { get; set; }
        /// <summary>
        /// 订单开始时间
        /// </summary>
        public DateTime? Order_CreateTime { get; set; }
        /// <summary>
        /// 订单结束时间
        /// </summary>
        public DateTime? Order_EndTime { get; set; }

        public bool isreport { get; set; } = false;
        public bool IsExport { get; set; } = false;
        /// <summary>
        /// 订单状态
        /// </summary>
        public int? OrderStatus { get; set; }

        /// <summary> 
        /// 支付渠道 0微信 1支付宝 2 余额 3银联 
        /// </summary> 
        public int? PayMode { get; set; }
    }
}
