﻿using BPA.KitChen.GroupMealOrder.Core.Enum;
using NPOI.SS.Formula.Functions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Application.Service.WeighOrder.Dtos
{
    public  class DiningPlateDto
    {
        public string WeighOrderId { get; set; }

        /// <summary>
        /// 餐盘信息
        /// </summary>
        public string DiningPlateId { get; set; }

        /// <summary>
        /// 是否占用
        /// </summary>
        public bool IsOccupy { get; set; }
    }

    public class DiningPlateInfoDto
    {
        public string Id { get; set; }

        /// <summary>
        /// 二维码
        /// </summary>
        public string QRCode { get; set; }

        /// <summary>
        /// 芯片码
        /// </summary>
        public string ChipCode { get; set; }

        public int Status { get; set; } 
    }
}
