﻿using BPA.KitChen.GroupMealOrder.Core.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Application.Service.WeighOrder.Dtos
{
    public class GoodsInfoBaseView
    {
        public string Id { get; set; }
        public string Code { get; set; }
        public string Name { get; set; }
        public decimal Price { get; set; }
        public string ImgUrl { get; set; }
        public CommonStatus Status { get; set; }
        public string GoodsTypeId { get; set; }
        public string GoodsTypeName { get; set; }
        public string Remark { get; set; }
        public string GoodsUintId { get; set; }
        public string GoodsUintName { get; set; }
        public bool IsAttrubute { get; set; }
        public List<GoodsAttributeList> GoodsAttributeList { get; set; }
    }

    public class GoodsAttributeList
    {
        public string GoodsAttributeId { get; set; }
        /// <summary>
        /// 属性名称
        /// </summary>
        public string AttributeName { get; set; }
        /// <summary>
        /// 商品小类id
        /// </summary>
        public string GoodsTypeId { get; set; }
        public int Sort { get; set; }
        public List<GoodsAttributeValueList> GoodsAttributeValueList { get; set; }
    }
    public class GoodsAttributeValueList
    {
        public string GoodsAttributeValuId { get; set; }
        /// <summary>
        ///商品属性id
        /// </summary>
        public string GoodsAttributeId { get; set; }
        /// <summary>
        /// 属性值
        /// </summary>
        public string AttributeValue { get; set; }
        public int Sort { get; set; }
    }
}
