﻿using BPA.KitChen.GroupMealOrder.Core.Common.Const;
using Furion;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Core
{
    public static class CurrentUser
    {

        public static string? UserId => App.User?.FindFirst(ClaimConst.CLAINM_USERID)?.Value;


        private static string tenantId;

        public static string? TenantId
        {
            get { return string.IsNullOrEmpty(App.User?.FindFirst(ClaimConst.GroupId)?.Value) ? tenantId : App.User?.FindFirst(ClaimConst.GroupId)?.Value; }
            set { tenantId = value; }
        }

        public static string? Account => App.User?.FindFirst(ClaimConst.CLAINM_ACCOUNT)?.Value;
        public static string? RoleId => App.User?.FindFirst(ClaimConst.RoleId)?.Value;

        public static string MessageId { get; set; }

        public static string StoreId { get; set; }

    }
}
