﻿using BPA.KitChen.GroupMealOrder.Core.Entity.Base;
using SqlSugar;

namespace BPA.KitChen.GroupMealOrder.Core.Entity
{
    /// <summary>
    /// 会员标签
    /// </summary>
    [SugarTable("BPA_MemberTag")]
    public class BPA_MemberTag : IEntity
    {
        /// <summary>
        /// 会员标签名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 平台标签 0:默认 1.微信 2.支付宝
        /// </summary>
        public int PlatformType { get; set; }
    }
}
