﻿using Furion.DatabaseAccessor;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Core.Entity
{
    [SugarTable("BPA_SubOrderMetaInfo")]
    public class BPA_SubOrderMetaInfo
    {
        public string Id { get; set; }
        /// <summary>
        /// 订单Id
        /// </summary>
        public string OrderId { get; set; }
        /// <summary>
        /// 订单Id
        /// </summary>
        public string SubOrderId { get; set; }
        /// <summary>
        /// 商品Id
        /// </summary>
        public string GoodId { get; set; }
        /// <summary>
        /// 店铺Id
        /// </summary>
        public string StoreId { get; set; }
        /// <summary>
        /// 物料Id
        /// </summary>
        public string BatchingId { get; set; }
        /// <summary>
        /// 使用数量
        /// </summary>
        public int UseCount { get; set; }
    }
}
