﻿using BPA.KitChen.GroupMealOrder.Core.Common.Const;
using BPA.KitChen.GroupMealOrder.Core.Enum;
using Furion;
using SqlSugar;
using System;

namespace BPA.KitChen.GroupMealOrder.Core.Entity.Base
{
    /// <summary>
    /// 自定义实体基类
    /// </summary>
    public abstract class IEntity: IBaseOPEntity, IBaseGroupIdEntity
    {
        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "状态", IsNullable = false)]
        public CommonStatus Status { get; set; } = CommonStatus.ENABLE;


        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "GroupId", IsNullable = true)]
        public string GroupId { get; set; } = App.User?.FindFirst(ClaimConst.GroupId)?.Value;
    }
}
